Loading...
Searching...
No Matches
byte_stream.h File Reference
`#include "platform.h"`
`#include "algorithm.h"`
`#include "delegate.h"`
`#include "endianness.h"`
`#include "error_handler.h"`
`#include "exception.h"`
`#include "integral_limits.h"`
`#include "iterator.h"`
`#include "memory.h"`
`#include "optional.h"`
`#include "span.h"`
`#include "type_traits.h"`
`#include <stddef.h>`

Go to the source code of this file.

## Classes

class | etl::byte_stream_writer
| Encodes a byte stream. More...
class | etl::byte_stream_reader

## Namespaces

namespace | etl

## Functions

template<typename T>
void | etl::write_unchecked (etl::byte_stream_writer &stream, const T &value)
template<typename T>
bool | etl::write (etl::byte_stream_writer &stream, const T &value)
| Implementation of the write function.
template<typename T>
T | etl::read_unchecked (etl::byte_stream_reader &stream)
template<typename T>
etl::optional< T > | etl::read (etl::byte_stream_reader &stream)
| Implementation of the read function.